Не запускается простой Апплет

0
09 авг 2015 16:24
Делаю по книжке Java Г.Шилдт 2015 г. издание. Установлено ПО java jre,jdk + до этого все компилировалось. Пробовал создавать апплеты с других видеороликов, выдаёт одну и туже ошибку (Warning: <applet> tag requieres height attribute).

1)Вот код SimpleApplet.java:
import java.awt.*;
import java.applet.*;

/*
<applet code="SimpleApplet" width= 200 height 60>
</applet>
*/

public class SimpleApplet extends Applet {
public void paint (Graphics g) {
g.drawString("Простой апплет", 20, 20);

}
}
2) пытался разбивать HTML код и отдельно код на Java или же все вместе и все равно ошибка
3) пытаюсь запустить Апплет вот так: appletviewer SimpleApplet или так appletviewer и отдельно код html в отдельном файле RunApp.html и та же ошибка

Ответов: 2

0
10 авг 2015 07:20
Да пропустите вы апплеты - фиг знает зачем они нужны в книжке 2015 года, если самый распространённый браузер перестал их поддерживать.
0
09 авг 2015 16:41
Quote:
Warning: <applet> tag requieres height attribute

Исправьте
<applet code="SimpleApplet" width= 200 height 60>
на
<applet code="SimpleApplet" width="200" height="60">
Модераторы: Нет
Сейчас эту тему просматривают: Нет